; ===============================================================
; Huffman Tree Table
; ===============================================================

htTables:
.dw htOffset000, htTable000, htOffset001, htTable001 
.dw htOffset010, htTable010, htOffset011, htTable011
.dw htOffset100, htTable100, htOffset101, htTable101
.dw htOffset110, htTable110, htOffset111, htTable111

htOffset000:				; offsets in htTable for each length of bits
.db 0
.db 0					; 4
.db 0
.db 2
.db 5
.db 7					; 8

htTable000:
.dw %00001                          \ .db 'c'
.dw %00011                          \ .db 'u'
.dw %000001                         \ .db 'g'
.dw %000100                         \ .db 'w'
.dw %000101                         \ .db 'y'
.dw %0000000                        \ .db 'R'
.dw %0000001                        \ .db 'T'

htOffset001:
.db 0
.db 0					; 4
.db 1
.db 2
.db 3
.db 4					; 8
.db 5
.db 5
.db 6
.db 10					; 12
.db 12
.db 16

htTable001:
.dw %0011                           \ .db 'r'
.dw %00100                          \ .db 'd'
.dw %001011                         \ .db 'S'
.dw %0010100                        \ .db 'A'
.dw %00101011                       \ .db TxtTrgt
.dw %0010101010                     \ .db '1'
.dw %00101010011                    \ .db '?'
.dw %00101010110                    \ .db 'Q'
.dw %00101010001                    \ .db TxtMove
.dw %00101010111                    \ .db 'V'
.dw %001010100100                   \ .db TxtNum
.dw %001010100101                   \ .db TxtItem
.dw %0010101000000                  \ .db '6'
.dw %0010101000001                  \ .db ':'
.dw %0010101000010                  \ .db '@'
.dw %0010101000011                  \ .db TxtE

htOffset010:
.db 0
.db 0					; 4
.db 1
.db 1
.db 3
.db 6					; 8
.db 8

htTable010:
.dw %0101                           \ .db 'a'
.dw %010010                         \ .db '!'
.dw %010001                         \ .db 'm'
.dw %0100111                        \ .db '''
.dw %0100000                        \ .db 'B'
.dw %0100001                        \ .db 'v'
.dw %01001100                       \ .db 'I'
.dw %01001101                       \ .db 'M'

htOffset011:
.db 0
.db 1					; 4

htTable011:
.dw %011                            \ .db ' '

htOffset100:
.db 0
.db 0					; 4
.db 1
.db 2
.db 3
.db 3					; 8
.db 6
.db 7
.db 7
.db 9					; 12
.db 12
.db 14

htTable100:
.dw %1001                           \ .db 's'
.dw %10000                          \ .db 'l'
.dw %100011                         \ .db 'p'
.dw %10001010                       \ .db 'F'
.dw %10001000                       \ .db 'L'
.dw %10001011                       \ .db 'N'
.dw %100010010                      \ .db 'G'
.dw %10001001101                    \ .db '5'
.dw %10001001110                    \ .db 'q'
.dw %100010011110                   \ .db $06
.dw %100010011001                   \ .db '/'
.dw %100010011111                   \ .db 'Z'
.dw %1000100110000                  \ .db TxtMove2
.dw %1000100110001                  \ .db TxtMove3

htOffset101:
.db 0
.db 0					; 4
.db 2

htTable101:
.dw %1011                           \ .db 't'
.dw %1010                           \ .db 0

htOffset110:
.db 0
.db 0					; 4
.db 0
.db 1
.db 3
.db 6					; 8
.db 11
.db 17
.db 22
.db 25					; 12
.db 29
.db 31
.db 34
.db 36					; 16

htTable110:
.dw %11010                          \ .db 'n'
.dw %110001                         \ .db 'f'
.dw %110111                         \ .db 'h'
.dw %1100101                        \ .db 'P'
.dw %1100000                        \ .db 'b'
.dw %1100110                        \ .db 'k'
.dw %11011011                       \ .db 'C'
.dw %11011010                       \ .db 'D'
.dw %11011000                       \ .db 'H'
.dw %11001000                       \ .db TxtAtk
.dw %11001111                       \ .db TxtPKMN
.dw %110010011                      \ .db '.'
.dw %110110010                      \ .db 'E'
.dw %110011100                      \ .db 'K'
.dw %110000110                      \ .db 'O'
.dw %110000111                      \ .db 'W'
.dw %110000100                      \ .db 'z'
.dw %1101100111                     \ .db $2C
.dw %1100100101                     \ .db '-'
.dw %1100111010                     \ .db '2'
.dw %1100111011                     \ .db 'U'
.dw %1100001011                     \ .db 'x'
.dw %11000010101                    \ .db TxtTeam
.dw %11000010100                    \ .db TxtAbil
.dw %11001001000                    \ .db TxtStat
.dw %110010010011                   \ .db '0'
.dw %110110011000                   \ .db '3'
.dw %110110011010                   \ .db 'Y'
.dw %110010010010                   \ .db 'j'
.dw %1101100110010                  \ .db '4'
.dw %1101100110111                  \ .db 'J'
.dw %11011001100110                 \ .db '#'
.dw %11011001100111                 \ .db '('
.dw %11011001101100                 \ .db ')'
.dw %110110011011010                \ .db '+'
.dw %110110011011011                \ .db 'X'

htOffset111:
.db 0
.db 0					; 4
.db 1
.db 3

htTable111:
.dw %1110                           \ .db 'e'
.dw %11111                          \ .db 'i'
.dw %11110                          \ .db 'o'
